Skip to main content
GET
/
v3
/
users
This API is used to get identity and access related information of a user. It also provides details into the last successful login of the user.
curl --request GET \
  --url https://{host}/v3/users \
  --header 'Authorization: Bearer <token>'
{
  "api_version": "3.0",
  "kind": "PAGINATED",
  "data": {
    "page_size": 10,
    "item_count": 10,
    "total": 100,
    "page_count": 10,
    "page_index": 1,
    "offset": 0,
    "items": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "username": "<string>",
        "org": {
          "name": "<string>",
          "role": "<string>"
        },
        "projects": [
          {
            "name": "<string>",
            "role": "<string>"
          }
        ],
        "first_name": "<string>",
        "last_name": "<string>",
        "email": "<string>",
        "activity": {
          "last_login_time": "2023-11-07T05:31:56Z"
        }
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://handbook.fiddler.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer

Limit for the pagination

offset
integer

Offset for the pagination

Response

This API is used to get user's identity and access related information. It also provides details about the last successful login users.

Response object for paginated API responses.

api_version
enum<string>
default:3.0

API version of the response.

Available options:
2.0,
3.0
kind
enum<string>
default:PAGINATED

Type of response, indicating a paginated response.

Available options:
PAGINATED
data
object